searchData={"items":[{"type":"module","title":"NLdoc.Conversion.Writer.Html","doc":"Writer for HTML, converting from Spec to HTML.","ref":"NLdoc.Conversion.Writer.Html.html"},{"type":"type","title":"NLdoc.Conversion.Writer.Html.acc/0","doc":"","ref":"NLdoc.Conversion.Writer.Html.html#t:acc/0"},{"type":"function","title":"NLdoc.Conversion.Writer.Html.convert/2","doc":"Convert resources into raw HTML. Either pass a Document, or pass a List of resources.","ref":"NLdoc.Conversion.Writer.Html.html#convert/2"},{"type":"function","title":"Examples - NLdoc.Conversion.Writer.Html.convert/2","doc":"iex> [ \n  ...>   %NLdoc.Spec.Heading{\n  ...>     level: 1, \n  ...>     children: [\n  ...>       %NLdoc.Spec.Text{text: \"Hello \"},\n  ...>       %NLdoc.Spec.Text{text: \"World\", styling: [:italic]}\n  ...>     ]\n  ...>   },\n  ...>   %NLdoc.Spec.Paragraph{\n  ...>     children: [\n  ...>       %NLdoc.Spec.Text{text: \"Followed by a \"},\n  ...>       %NLdoc.Spec.Text{text: \"paragraph\", styling: [:bold]},\n  ...>       %NLdoc.Spec.Text{text: \".\"}\n  ...>     ]\n  ...>   }\n  ...> ]\n  ...> |> NLdoc.Conversion.Writer.Html.convert()\n  \" Hello  World   Followed by a  paragraph . \"","ref":"NLdoc.Conversion.Writer.Html.html#convert/2-examples"},{"type":"type","title":"NLdoc.Conversion.Writer.Html.html_tag_or_text/0","doc":"","ref":"NLdoc.Conversion.Writer.Html.html#t:html_tag_or_text/0"},{"type":"type","title":"NLdoc.Conversion.Writer.Html.opt/0","doc":"","ref":"NLdoc.Conversion.Writer.Html.html#t:opt/0"},{"type":"module","title":"NLdoc.Conversion.Writer.Html.SimpleForm","doc":"Module for HTML (SimpleForm) operations","ref":"NLdoc.Conversion.Writer.Html.SimpleForm.html"},{"type":"function","title":"NLdoc.Conversion.Writer.Html.SimpleForm.append_attributes/2","doc":"Append attributes to existing tag.","ref":"NLdoc.Conversion.Writer.Html.SimpleForm.html#append_attributes/2"},{"type":"function","title":"Examples - NLdoc.Conversion.Writer.Html.SimpleForm.append_attributes/2","doc":"iex> { \"p\", [{\"class\", \"xyz\"}], [\"Some Text\"]}\n    ...> |> NLdoc.Conversion.Writer.Html.SimpleForm.append_children([{\"span\", [], [\"Other text\"]}])\n    {\"p\", [{\"class\", \"xyz\"}], [\"Some Text\", {\"span\", [], [\"Other text\"]}]}","ref":"NLdoc.Conversion.Writer.Html.SimpleForm.html#append_attributes/2-examples"},{"type":"function","title":"NLdoc.Conversion.Writer.Html.SimpleForm.append_child/2","doc":"Append child to existing tag.","ref":"NLdoc.Conversion.Writer.Html.SimpleForm.html#append_child/2"},{"type":"function","title":"Examples - NLdoc.Conversion.Writer.Html.SimpleForm.append_child/2","doc":"iex> { \"p\", [{\"class\", \"xyz\"}], [\"Some Text\"]}\n    ...> |> NLdoc.Conversion.Writer.Html.SimpleForm.append_child({\"span\", [], [\"Other text\"]})\n    {\"p\", [{\"class\", \"xyz\"}], [\"Some Text\", {\"span\", [], [\"Other text\"]}]}","ref":"NLdoc.Conversion.Writer.Html.SimpleForm.html#append_child/2-examples"},{"type":"function","title":"NLdoc.Conversion.Writer.Html.SimpleForm.append_children/2","doc":"Append children to existing tag.","ref":"NLdoc.Conversion.Writer.Html.SimpleForm.html#append_children/2"},{"type":"function","title":"Examples - NLdoc.Conversion.Writer.Html.SimpleForm.append_children/2","doc":"iex> { \"p\", [{\"class\", \"xyz\"}], [\"Some Text\"]}\n    ...> |> NLdoc.Conversion.Writer.Html.SimpleForm.append_children([{\"span\", [], [\"Other text\"]}])\n    {\"p\", [{\"class\", \"xyz\"}], [\"Some Text\", {\"span\", [], [\"Other text\"]}]}","ref":"NLdoc.Conversion.Writer.Html.SimpleForm.html#append_children/2-examples"},{"type":"function","title":"NLdoc.Conversion.Writer.Html.SimpleForm.prepend_child/2","doc":"Append child to existing tag.","ref":"NLdoc.Conversion.Writer.Html.SimpleForm.html#prepend_child/2"},{"type":"function","title":"Examples - NLdoc.Conversion.Writer.Html.SimpleForm.prepend_child/2","doc":"iex> { \"p\", [{\"class\", \"xyz\"}], [\"Some Text\"]}\n    ...> |> NLdoc.Conversion.Writer.Html.SimpleForm.append_child({\"span\", [], [\"Other text\"]})\n    {\"p\", [{\"class\", \"xyz\"}], [\"Some Text\", {\"span\", [], [\"Other text\"]}]}","ref":"NLdoc.Conversion.Writer.Html.SimpleForm.html#prepend_child/2-examples"},{"type":"function","title":"NLdoc.Conversion.Writer.Html.SimpleForm.put_attributes/2","doc":"Append attributes to existing tag.","ref":"NLdoc.Conversion.Writer.Html.SimpleForm.html#put_attributes/2"},{"type":"function","title":"Examples - NLdoc.Conversion.Writer.Html.SimpleForm.put_attributes/2","doc":"iex> { \"p\", [{\"class\", \"xyz\"}], [\"Some Text\"]}\n    ...> |> NLdoc.Conversion.Writer.Html.SimpleForm.append_children([{\"span\", [], [\"Other text\"]}])\n    {\"p\", [{\"class\", \"xyz\"}], [\"Some Text\", {\"span\", [], [\"Other text\"]}]}","ref":"NLdoc.Conversion.Writer.Html.SimpleForm.html#put_attributes/2-examples"},{"type":"function","title":"NLdoc.Conversion.Writer.Html.SimpleForm.put_children/2","doc":"Put children inside existing tag.","ref":"NLdoc.Conversion.Writer.Html.SimpleForm.html#put_children/2"},{"type":"function","title":"Examples - NLdoc.Conversion.Writer.Html.SimpleForm.put_children/2","doc":"iex> { \"p\", [{\"class\", \"xyz\"}], [\"Some Text\"]}\n    ...> |> NLdoc.Conversion.Writer.Html.SimpleForm.put_children([{\"span\", [], [\"Other text\"]}])\n    {\"p\", [{\"class\", \"xyz\"}], [{\"span\", [], [\"Other text\"]}]}","ref":"NLdoc.Conversion.Writer.Html.SimpleForm.html#put_children/2-examples"},{"type":"function","title":"NLdoc.Conversion.Writer.Html.SimpleForm.reverse/1","doc":"","ref":"NLdoc.Conversion.Writer.Html.SimpleForm.html#reverse/1"},{"type":"function","title":"NLdoc.Conversion.Writer.Html.SimpleForm.tag/3","doc":"Create a new node with tag_name, attributes and children","ref":"NLdoc.Conversion.Writer.Html.SimpleForm.html#tag/3"},{"type":"function","title":"Examples - NLdoc.Conversion.Writer.Html.SimpleForm.tag/3","doc":"iex> NLdoc.Conversion.Writer.Html.SimpleForm.tag(\"p\", [{\"class\", \"xyz\"}], [\"Some Text\"])\n    {\"p\", [{\"class\", \"xyz\"}], [\"Some Text\"]}\n\n    iex> NLdoc.Conversion.Writer.Html.SimpleForm.tag(\"p\", [{\"class\", \"xyz\"}])\n    {\"p\", [{\"class\", \"xyz\"}], []}\n\n    iex> NLdoc.Conversion.Writer.Html.SimpleForm.tag(\"p\")\n    {\"p\", [], []}","ref":"NLdoc.Conversion.Writer.Html.SimpleForm.html#tag/3-examples"},{"type":"module","title":"NLdoc.Conversion.Writer.Html.State","doc":"This module defines a struct that captures the state of the converter during a HTML conversion.","ref":"NLdoc.Conversion.Writer.Html.State.html"},{"type":"function","title":"NLdoc.Conversion.Writer.Html.State.current_footnote_number/1","doc":"Get current footnote number based on footnotes in state.","ref":"NLdoc.Conversion.Writer.Html.State.html#current_footnote_number/1"},{"type":"function","title":"Examples - NLdoc.Conversion.Writer.Html.State.current_footnote_number/1","doc":"iex> %NLdoc.Conversion.Writer.Html.State{ordered_footnote_ids: %{ \"abc\" => 1, \"xyz\" => 2 }}\n    ...> |> NLdoc.Conversion.Writer.Html.State.current_footnote_number()\n    2","ref":"NLdoc.Conversion.Writer.Html.State.html#current_footnote_number/1-examples"},{"type":"function","title":"NLdoc.Conversion.Writer.Html.State.find_asset/2","doc":"Get asset by id from state.","ref":"NLdoc.Conversion.Writer.Html.State.html#find_asset/2"},{"type":"function","title":"Examples - NLdoc.Conversion.Writer.Html.State.find_asset/2","doc":"iex> alias NLdoc.Conversion.Writer.Html.State\n    iex> state = %State{assets: [%NLdoc.Spec.Asset{id: \"123\"}]}\n    iex> state |> State.find_asset(\"123\")\n    %NLdoc.Spec.Asset{id: \"123\"}\n    iex> state |> State.find_asset(\"456\")\n    nil","ref":"NLdoc.Conversion.Writer.Html.State.html#find_asset/2-examples"},{"type":"function","title":"NLdoc.Conversion.Writer.Html.State.get/2","doc":"Gets the given field from the state object.\n\nThis function only accepts fields of the state, which are :ordered_footnote_ids, :existing_footnote_ids, :assets.\nIt will raise if the field is not valid.","ref":"NLdoc.Conversion.Writer.Html.State.html#get/2"},{"type":"type","title":"NLdoc.Conversion.Writer.Html.State.html_tag_or_text/0","doc":"","ref":"NLdoc.Conversion.Writer.Html.State.html#t:html_tag_or_text/0"},{"type":"function","title":"NLdoc.Conversion.Writer.Html.State.keep/3","doc":"Modifies a state object by setting the given field to the value that field had in the old state.\n\nThis function only accepts fields of the state, which are :ordered_footnote_ids, :existing_footnote_ids, :assets.\nIt will raise if the field is not valid.","ref":"NLdoc.Conversion.Writer.Html.State.html#keep/3"},{"type":"function","title":"NLdoc.Conversion.Writer.Html.State.prepend/3","doc":"Prepends a list of values or a single value to the list field in the state object.\n\nThis function only accepts fields of the state, which are :existing_footnote_ids, :assets.\nIt will raise if the field is not valid.","ref":"NLdoc.Conversion.Writer.Html.State.html#prepend/3"},{"type":"function","title":"NLdoc.Conversion.Writer.Html.State.set/3","doc":"Sets the given field on the state object to the given value.\n\nThis function only accepts fields of the state, which are :ordered_footnote_ids, :existing_footnote_ids, :assets.\nIt will raise if the field is not valid.","ref":"NLdoc.Conversion.Writer.Html.State.html#set/3"},{"type":"type","title":"NLdoc.Conversion.Writer.Html.State.t/0","doc":"","ref":"NLdoc.Conversion.Writer.Html.State.html#t:t/0"},{"type":"function","title":"NLdoc.Conversion.Writer.Html.State.upsert_footnote_id/2","doc":"Upsert new footnote to state.","ref":"NLdoc.Conversion.Writer.Html.State.html#upsert_footnote_id/2"},{"type":"function","title":"Examples - NLdoc.Conversion.Writer.Html.State.upsert_footnote_id/2","doc":"When reference was encountered that refers to a valid footnote.\n\n    iex> %NLdoc.Conversion.Writer.Html.State{\n    ...>   ordered_footnote_ids: %{ \"abc\" => 1 },\n    ...>   existing_footnote_ids: [\"abc\", \"xyz\"]}\n    ...> |> NLdoc.Conversion.Writer.Html.State.upsert_footnote_id(\"xyz\")\n    {2, %NLdoc.Conversion.Writer.Html.State{\n      ordered_footnote_ids: %{\"abc\" => 1, \"xyz\" => 2},\n      existing_footnote_ids: [\"abc\", \"xyz\"]}}\n\nWhen dead reference was encountered.\n\n    iex> %NLdoc.Conversion.Writer.Html.State{\n    ...>   ordered_footnote_ids: %{ \"abc\" => 1 },\n    ...>   existing_footnote_ids: [\"abc\", \"xyz\"]}\n    ...> |> NLdoc.Conversion.Writer.Html.State.upsert_footnote_id(\"def\")\n    {nil, %NLdoc.Conversion.Writer.Html.State{\n      ordered_footnote_ids: %{\"abc\" => 1},\n      existing_footnote_ids: [\"abc\", \"xyz\"]}}\n\n\nWhen footnote is referenced that was referenced before\n\n    iex> %NLdoc.Conversion.Writer.Html.State{\n    ...>   ordered_footnote_ids: %{ \"abc\" => 1, \"xyz\" => 2 },\n    ...>   existing_footnote_ids: [\"abc\", \"xyz\"]}\n    ...> |> NLdoc.Conversion.Writer.Html.State.upsert_footnote_id(\"xyz\")\n    {2, %NLdoc.Conversion.Writer.Html.State{\n      ordered_footnote_ids: %{\"abc\" => 1, \"xyz\" => 2},\n      existing_footnote_ids: [\"abc\", \"xyz\"]}}","ref":"NLdoc.Conversion.Writer.Html.State.html#upsert_footnote_id/2-examples"},{"type":"extras","title":"NLdoc.Conversion.Writer.HTML","doc":"# NLdoc.Conversion.Writer.HTML","ref":"readme.html"},{"type":"extras","title":"Installation - NLdoc.Conversion.Writer.HTML","doc":"Add `nldoc_conversion_writer_html` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:nldoc_conversion_writer_html, \"~> 1.0.0\"}\n  ]\nend\n```\n\nThen, fetch dependencies:\n\n```sh\nmix deps.get\n```","ref":"readme.html#installation"},{"type":"extras","title":"Documentation - NLdoc.Conversion.Writer.HTML","doc":"Detailed documentation is available at [HexDocs](https://hexdocs.pm/nldoc_conversion_writer_html).","ref":"readme.html#documentation"},{"type":"extras","title":"License - NLdoc.Conversion.Writer.HTML","doc":"This project is licensed under the [EUPL-1.2 License](https://joinup.ec.europa.eu/software/page/eupl).","ref":"readme.html#license"},{"type":"extras","title":"Changelog","doc":"# Changelog\n\n## [1.2.21](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/compare/1.2.20...1.2.21) (2025-04-17)","ref":"changelog.html"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency credo to v1.7.12 ([c6e9117](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/commit/c6e91177f20fc11fced8a54589b379fff2f0201b))\n\n## [1.2.20](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/compare/1.2.19...1.2.20) (2025-04-14)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v3.0.1 ([a3b8f33](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/commit/a3b8f33e8c2bac4950a07118e1126c17d3491519))\n\n## [1.2.19](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/compare/1.2.18...1.2.19) (2025-04-14)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v3 ([cff2179](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/commit/cff2179485f5c552ba58ba47dbb698a663b3b7de))\n\n## [1.2.18](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/compare/1.2.17...1.2.18) (2025-04-07)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v2.0.1 ([e8a93a7](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/commit/e8a93a74d083e7dc53afd9d33ba4c90b7e95a6ca))\n\n## [1.2.17](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/compare/1.2.16...1.2.17) (2025-04-07)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v2 ([1bd3283](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/commit/1bd3283ff84513335b82b3eb3fda4f9138920ca1))\n\n## [1.2.16](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/compare/1.2.15...1.2.16) (2025-04-07)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v1.3.12 ([2b4f20b](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/commit/2b4f20b148c5dedf8a4e41343b0550bda1c1b5c8))\n\n## [1.2.15](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/compare/1.2.14...1.2.15) (2025-04-07)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v1.3.11 ([adef4dc](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/commit/adef4dc330f15f7245835e207aaa3ed060c11325))\n\n## [1.2.14](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/compare/1.2.13...1.2.14) (2025-04-06)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_test to v3.0.6 ([c119ee6](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/commit/c119ee651672d4b324d2f9017eace5b1e56573b4))\n\n## [1.2.13](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/compare/1.2.12...1.2.13) (2025-04-06)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v1.3.10 ([5d22f5a](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/commit/5d22f5a8c2dafea8abbd825981bb8b8c1ce35671))\n\n## [1.2.12](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/compare/1.2.11...1.2.12) (2025-04-03)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* update references (GitLab migration) ([b4079cd](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/commit/b4079cd1d1f240722933978d4db4e1fade57a121))\n\n## [1.2.11](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/compare/1.2.10...1.2.11) (2025-04-03)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_test to v3.0.5 ([8d77c1c](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/commit/8d77c1c3cfd4a209af62e1f81eb4b951414d7e35))\n\n## [1.2.10](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/compare/1.2.9...1.2.10) (2025-04-02)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v1.3.9 ([ee5d8f1](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/commit/ee5d8f167cc12fb2b09159c68d4006419fde6037))\n\n## [1.2.9](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/compare/1.2.8...1.2.9) (2025-04-02)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v1.3.8 ([4a501af](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/commit/4a501af2a4a24a8bd12c5d39a297b88e62628c68))\n\n## [1.2.8](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/compare/1.2.7...1.2.8) (2025-03-31)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v1.3.6 ([81a34d0](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/commit/81a34d07d0bee81fafa71646f97d58bf3e976e56))\n* **deps:** update dependency nldoc_spec to v1.3.7 ([84419c2](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/commit/84419c29012eb226a1b6b18b15e69d8fc5697063))\n\n## [1.2.7](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/compare/1.2.6...1.2.7) (2025-03-30)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_test to v3.0.4 ([9bdf655](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/commit/9bdf6552b72f9de3ecd1117d0bf1b22d124d1c64))\n\n## [1.2.6](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/compare/1.2.5...1.2.6) (2025-03-23)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency floki to v0.37.1 ([1390229](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/commit/1390229afb8a3ad8f3d481c096dea71bba04ced0))\n\n## [1.2.5](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/compare/1.2.4...1.2.5) (2025-03-10)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v1.3.4 ([96d9e19](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/commit/96d9e19fe71b1369a56aac6529b62f8d35056337))\n\n## [1.2.4](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/compare/1.2.3...1.2.4) (2025-03-09)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v1.3.3 ([e578e7a](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/commit/e578e7a57eefcbb3422fc6518e4dbc5b9f1c248d))\n\n## [1.2.3](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/compare/1.2.2...1.2.3) (2025-03-08)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_test to v3.0.3 ([d780907](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/commit/d780907d6a87d5fd121415f68681ef980450dcde))\n\n## [1.2.2](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/compare/1.2.1...1.2.2) (2025-03-07)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency ex_doc to v0.37.3 ([6b2574b](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/commit/6b2574b3faedd8ef6197dc79d1075a674ee02260))\n\n## [1.2.1](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/compare/1.2.0...1.2.1) (2025-02-27)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v1.3.1 ([3d117fd](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/commit/3d117fdd79c1640d66352ce1d9671796ca46d5e5))\n\n# [1.2.0](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/compare/1.1.0...1.2.0) (2025-02-25)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Features - Changelog","doc":"* **NLD-594:** Convert decorative an non-decorative images ([141a1a8](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/commit/141a1a8f9fbde2736245f5c2d00e1738d3b4bb16))\n\n# [1.1.0](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/compare/1.0.7...1.1.0) (2025-02-25)","ref":"changelog.html#features"},{"type":"extras","title":"Features - Changelog","doc":"* **hackathon:** &convert/2 for a list of resources ([1a42900](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/commit/1a4290047ee1e51b7ab36306938b41d0294c913f))\n\n## [1.0.7](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/compare/1.0.6...1.0.7) (2025-02-23)","ref":"changelog.html#features"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v1.2.5 ([90bb3dc](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/commit/90bb3dc6554926d1c564ff87252af7140431f3de))\n\n## [1.0.6](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/compare/1.0.5...1.0.6) (2025-02-22)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v1.2.4 ([7bfe472](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/commit/7bfe4724f812c7a65726ef1cdc52c6c735caba1a))\n* **deps:** update dependency nldoc_test to v3.0.2 ([0c5026f](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/commit/0c5026fe423757c4ede735dc3fa76c1d1b0ef709))\n\n## [1.0.5](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/compare/1.0.4...1.0.5) (2025-02-20)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency ex_doc to v0.37.2 ([c51f4f9](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/commit/c51f4f9a1b0f5c836b970aef4743e9c515fa3aec))\n\n## [1.0.4](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/compare/1.0.3...1.0.4) (2025-02-14)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v1.2.3 ([b245187](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/commit/b245187b4b9443f1af540b8987b7154ad65ca974))\n\n## [1.0.3](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/compare/1.0.2...1.0.3) (2025-02-13)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v1.2.2 ([1c377ab](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/commit/1c377ab35760b97a54bded0dffd088ff2bbbc386))\n\n## [1.0.2](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/compare/1.0.1...1.0.2) (2025-02-12)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_test to v3.0.1 ([b2e6d73](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/commit/b2e6d7370e1e35ef760210d9fee5f21f7874d69c))\n\n## [1.0.1](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/compare/1.0.0...1.0.1) (2025-02-11)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency ex_doc to ~> 0.37 ([a5cdaf3](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/commit/a5cdaf3d279ced9fae464f8fa057b748698739bf))\n\n# 1.0.0 (2025-02-06)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Features - Changelog","doc":"* **NLD-625:** Initial commit ([56a8b09](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_writer_html/commit/56a8b0925c56d87642355527c9a816cd3b6845cc))","ref":"changelog.html#features"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}